// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ==  http://www.amdis-fem.org                                              ==
// ==                                                                        ==
// ============================================================================
//
// Software License for AMDiS
//
// Copyright (c) 2010 Dresden University of Technology 
// All rights reserved.
// Authors: Simon Vey, Thomas Witkowski et al.
//
// This file is part of AMDiS
//
// See also license.opensource.txt in the distribution.



/** \file PetscMultigridPrecon.h */

#ifndef AMDIS_PETSC_MULTIGRID_PRECON_H
#define AMDIS_PETSC_MULTIGRID_PRECON_H

#include <petsc.h>

namespace AMDiS {

  using namespace std;

#ifdef HAVE_PETSC_DEV

  class PetscMultigridPrecon
  {
  public:
    PetscMultigridPrecon();

    void init(KSP &ksp);

    void cleanUp();

  protected:
    DM dmObj;
  };

#endif

} // namespace AMDiS

#endif
